{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Log'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/log_list.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}

    <script>
        $(document).ready(function () {

            //Selection
            var gridClient = $("#data-table-log").bootgrid({
                css: {
                    icon: 'zmdi icon',
                    iconColumns: 'zmdi-view-module',
                    iconDown: 'zmdi-expand-more',
                    iconRefresh: 'zmdi-refresh',
                    iconUp: 'zmdi-expand-less'
                },
                templates: {
                    header: ""
                },
                selection: false,
                multiSelect: false,
                rowSelect: false,
                keepSelection: false,
                statusMappings: {
                    4: "bgm-bluegray",
                    5: "bgm-pink"
                },
                formatters: {
                    /*
                    "commands": function (column, row) {
                        return "<button type=\"button\" class=\"btn btn-icon command-edit waves-effect waves-circle lo-e\" title=\"Editar marca\" data-brand=\"" + row.brand + "\" data-type=\"" + row.type + "\" data-group-id=\"" + row.group_id + "\" data-id=\"" + row.id + "\"><span class=\"zmdi zmdi-edit\"></span></button> " +
                                "<button type=\"button\" class=\"btn btn-icon command-delete waves-effect waves-circle lo-d\" title=\"Eliminar marca\" data-id=\"" + row.id + "\"><span class=\"zmdi zmdi-delete\"></span></button>";
                    }*/
                }
            }).on("loaded.rs.jquery.bootgrid", function () {
                
            });
        });
    </script>

{% endblock %}